API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/servers/{uuid}/docker-cleanup

Update Docker cleanup settings for a server owned by the authenticated team.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Server UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

docker_cleanup_frequency?string

Cron / human frequency expression.

docker_cleanup_threshold?integer
Range1 <= value <= 99
force_docker_cleanup?boolean
delete_unused_volumes?boolean
delete_unused_networks?boolean
disable_application_image_retention?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/servers/string/docker-cleanup" \  -H "Content-Type: application/json" \  -d '{}'
{  "docker_cleanup_frequency": "string",  "docker_cleanup_threshold": 0,  "force_docker_cleanup": true,  "delete_unused_volumes": true,  "delete_unused_networks": true,  "disable_application_image_retention": true}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}